import { VisibleElements } from '../../utils';
import { Manager } from './';
export type Location = {
    pageNumber: number;
    scale?: string | number;
    top: number;
    left: number;
    rotation: number;
    openParams: string;
};
export declare class LocationManager extends Manager {
    private _location?;
    get location(): Location | undefined;
    get baseUrl(): string;
    reset(): void;
    update(visible: VisibleElements): void;
    private updateLocation;
    getAnchorUrl(anchor?: string | undefined): string;
}
